package com.vigroup.tvapi.common;

import com.vigroup.tvapi.common.vo.MProgramInfo;
import com.vigroup.tvapi.dtv.dvb.vo.MDvbMuxInfo;
interface IPhilipsChannelManager{
    boolean startAtvManualTuning(in int EventIntervalMs, in int Frequency, in int eMode);  
    void stopAtvManualTuning();
    
    boolean changeToFirstService(in int  enInputType,in int enServiceType);
    void addProgramToFavorite(in int favoriteId, in int programNo, in int programType, in int programId);
    int getAtvCurrentFrequency();
    int getAtvSoundSystem();
    int getAtvVideoSystem();
    int getCurrentChannelNumber();
    int setAtvChannel(in int ChannelNumber);
    boolean setAtvForceSoundSystem(in int eSoundSystem);
    boolean setAtvForceVedioSystem(in int eVideoSystem);
    boolean setAtvProgramInfo(in int command,in int programNo,in int data);
    int getAtvProgramInfo(in int command, in int programNo);
    void deleteProgramFromFavorite(in int favoriteId,in int programNo, in int programType, in int programId);
    int getProgramCount(in int programCountType);
    int setProgramCtrl(in int Cmd, in int u16Param2,in int u16Param3);
    boolean programDown();
    boolean programUp();
    boolean returnToPreviousProgram();
    boolean selectProgram(in int num, in int serviceType);
    boolean isSignalStabled();
    int getVideoStandard();
    boolean getProgramAttribute(in int enpa,in int programNo, in int programType, in int programId);
    int getProgramCtrl(in int Cmd, in int u16Param2,in int u16Param3);
    boolean playDtvCurrentProgram();
    boolean setDvbcScanParam(int symbolRate, int constellationType, int nitFrequency, int endFrequency, int networkId);

    void moveProgram(in int sourcePosition, in int targetPosition);
    boolean saveAtvProgram(in int num);
    void setProgramName(in int num, in int type, in String name);  
    MProgramInfo getProgramInfoByIndex(in int index);
    MProgramInfo getCurrentProgramInfo(); 
}